Page MenuHomePhabricator

Wikidata external changes have usernames with "wikidata>" prefixes
Closed, ResolvedPublic

Description

Screenshot of enwiki Wikidata recent changes:

Details

Related Gerrit Patches:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2018, 6:53 PM
Lydia_Pintscher triaged this task as Unbreak Now! priority.Mar 9 2018, 6:59 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.

@Ladsgroup Can you have a look?

Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 9 2018, 6:59 PM

That's completely intentional. The frontend is broken though. Let me take a look

Change 418028 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Add ExternalUserNames::getLocal() to get local part of username

https://gerrit.wikimedia.org/r/418028

Change 418030 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@master] Use only local part of username when building the RC line

https://gerrit.wikimedia.org/r/418030

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptMar 9 2018, 7:47 PM

When this gets merged, we can deploy the backport if you think it's needed. Also I can deploy the backport now or in Monday.

Change 418028 merged by jenkins-bot:
[mediawiki/core@master] Add ExternalUserNames::getLocal() to get local part of username

https://gerrit.wikimedia.org/r/418028

Thanks for fixing it so quickly! I think Monday is fine.

matej_suchanek lowered the priority of this task from Unbreak Now! to High.Mar 10 2018, 9:26 AM
Jonas moved this task from Blocked to Done on the Wikidata-Ministry-Of-Magic board.

Change 418030 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Use only local part of username when building the RC line

https://gerrit.wikimedia.org/r/418030

I wanted to backport this but I keep forgetting. Will it in the midnight SWAT (UTC)

Change 419618 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@wmf/1.31.0-wmf.24] Add ExternalUserNames::getLocal() to get local part of username

https://gerrit.wikimedia.org/r/419618

Change 419619 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.24] Use only local part of username when building the RC line

https://gerrit.wikimedia.org/r/419619

Change 419618 merged by jenkins-bot:
[mediawiki/core@wmf/1.31.0-wmf.24] Add ExternalUserNames::getLocal() to get local part of username

https://gerrit.wikimedia.org/r/419618

Change 419619 merged by Gergő Tisza:
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.24] Use only local part of username when building the RC line

https://gerrit.wikimedia.org/r/419619

Mentioned in SAL (#wikimedia-operations) [2018-03-15T00:22:56Z] <tgr@tin> Synchronized php-1.31.0-wmf.24/includes/user/ExternalUserNames.php: T189320 Add ExternalUserNames::getLocal() to get local part of username (duration: 01m 15s)

Mentioned in SAL (#wikimedia-operations) [2018-03-15T00:25:17Z] <tgr@tin> Synchronized php-1.31.0-wmf.24/extensions/Wikibase/client/includes/RecentChanges/ExternalChangeFactory.php: T189320 Use only local part of username when building the RC line (duration: 01m 18s)

Ladsgroup closed this task as Resolved.Mar 15 2018, 12:31 AM
Ladsgroup moved this task from Incoming to Done on the User-Ladsgroup board.

Okay, This is backported :)